import Vue from 'vue'

import 'normalize.css/normalize.css' // A modern alternative to CSS resets

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import locale from 'element-ui/lib/locale/lang/zh-CN' // lang i18n
import '@/styles/index.scss' // global css

import VueQuillEditor from 'vue-quill-editor'
// 引入样式文件
import 'quill/dist/quill.core.css'
import 'quill/dist/quill.snow.css'
import 'quill/dist/quill.bubble.css'
Vue.use(VueQuillEditor)

// import { VueVideoPlayer } from "vue-video-player"
import VueVideoPlayer from 'vue-video-player'
import 'video.js/dist/video-js.css'
import 'vue-video-player/src/custom-theme.css'
Vue.use(VueVideoPlayer)

import 'viewerjs/dist/viewer.css'
import Viewer from 'v-viewer'

import BaiduMap from 'vue-baidu-map'
Vue.use(BaiduMap, {
  ak: 't4Yu0Y2LTGbvMsjSQhtmuRa5Dwbpbq2P' // 替换为您自己的百度地图AK密钥
})

import App from './App'
import store from './store'
import router from './router'

import '@/icons' // icon
import '@/permission' // permission control

/**
 * If you don't want to use mock-server
 * you want to use MockJs for mock api
 * you can execute: mockXHR()
 *
 * Currently MockJs will be used in the production environment,
 * please remove it before going online ! ! !
 */
if (process.env.NODE_ENV === 'production') {
	const {
		mockXHR
	} = require('../mock')
	mockXHR()
}

// set ElementUI lang to EN
Vue.use(ElementUI, {
	locale
})
// 如果想要中文版 element-ui，按如下方式声明
// Vue.use(ElementUI)


Vue.use(Viewer, {
	defaultOptions: {
		zIndex: 99999, // 修改viewer的默认层级
	}
})

// 这里是插件的默认设置
Viewer.setDefaults({
	zIndex: 9999,
	inline: false,
	button: true,
	navbar: true,
	title: false,
	toolbar: true,
	tooltip: true,
	movable: true,
	zoomable: true,
	rotatable: true,
	scalable: true,
	transition: true,
	fullscreen: true,
	keyboard: true
})

Vue.config.productionTip = false

new Vue({
	el: '#app',
	router,
	store,
	render: h => h(App)
})